
var x = 10;
var y = 10;

var point = new Point(x,y);
var point2 = new Point();
point2.setX(point.x());
point2.setY(point.y());

if( point.x() != x )
{
  println( "X not "+ x +" " + point.x());
  exit(1);
}

if( point.y() != y )
{
  println( "Y not "+ y +" " + point.y());
  exit(1);
}
  
println( "All tests passed");